Returns all knowledge bases in the workspace, newest first. Each item includes its sources.
Request#
This endpoint takes no path, query or body parameters. There is no pagination.
Example request#
curl https://api.tried.com.au/list-knowledge-bases \
-H "Authorization: Bearer $TRIED_API_KEY"const res = await fetch("https://api.tried.com.au/list-knowledge-bases", {
headers: { Authorization: `Bearer ${process.env.TRIED_API_KEY}` },
});
const kbs = await res.json();import os, requests
res = requests.get(
"https://api.tried.com.au/list-knowledge-bases",
headers={"Authorization": f"Bearer {os.environ['TRIED_API_KEY']}"},
)
kbs = res.json()Response#
200 OK
[
{
"knowledge_base_id": "knowledge_base_9f060d81a4d8df9b04ca6d12",
"knowledge_base_name": "Clinic FAQ",
"status": "complete",
"knowledge_base_sources": [
{
"source_id": "source_92055d142a2829e5c8e77a9f",
"type": "text",
"title": "Opening hours",
"url": null,
"content_url": "https://api.tried.com.au/get-knowledge-base-source-content/knowledge_base_9f060d81a4d8df9b04ca6d12/source_92055d142a2829e5c8e77a9f"
}
],
"enable_auto_refresh": false,
"last_refreshed_timestamp": 1760832000000,
"chunk_size": 800,
"chunk_overlap": 100,
"auto_add_pages": false,
"crawl_roots": []
}
]Each item is the same object as Get knowledge base.
Errors#
| Status | When |
|---|---|
401 |
Missing or invalid API key. |
403 |
The key's IP allowlist or scopes reject the request. This route needs the kb scope. |
429 |
Rate limit exceeded. See Rate limits. |
See Errors for the body format.
Retell compatibility#
Same path and method as Retell. Item shape differences are listed on Get knowledge base.